Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader.netmap
Class NodeColor

    java.lang.Object
      com.bbn.openmap.graphicLoader.netmap.NodeColor

public class NodeColor
extends java.lang.Object

A utility class that contains pre-determined node colors that mean something in the NetMap world.

Constructor Summary
`NodeColor()`

Method Summary
`static java.awt.Color` | `colorOf(int color)`
`static int` | `valueOf(java.awt.Color color)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeColor

    public NodeColor()

Method Detail

### colorOf

    public static java.awt.Color colorOf(int color)

### valueOf

    public static int valueOf(java.awt.Color color)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details